Skip to main content
GET
List record comments

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

record_id
string
required

Record ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

progressive
boolean

Skip the total count: pagination-count is exact on the last page, and one more than the items so far while more pages exist (Only used on special endpoints)

Response

200 - application/json
id
string
required
record_id
string
required
comment
string | null
required
attachments
object[]
required

Files attached to the comment

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
actor
object

User who posted the comment

agent
object

Agent who posted the comment

chat
object

The run that answered a tag with this comment

metadata
object

Activity metadata payload. Discriminated by type, which mirrors the parent activity row type.